Bug 1903660 - Cannot install with Assisted Installer on top of IPv6 since network provider is not started [NEEDINFO]
Summary: Cannot install with Assisted Installer on top of IPv6 since network provider ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: All
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Alexander Constantinescu
QA Contact: Ori Amizur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-02 15:23 UTC by Ori Amizur
Modified: 2021-02-24 15:37 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:37:21 UTC
Target Upstream Version:
aconstan: needinfo? (oamizur)
anusaxen: needinfo? (oamizur)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 954 0 None closed Bug 1903660: Don't error when expected master node amount is not met 2021-02-11 19:38:45 UTC
Github openshift ovn-kubernetes pull 406 0 None closed Bug 1903660: Handle pruning of unhealthy db files on disk 2021-02-11 19:38:45 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:37:55 UTC

Description Ori Amizur 2020-12-02 15:23:45 UTC
Description of problem:

Unable to install Openshift cluster above IPv6 with Assisted Installer since the bootstrap of OVNKubernetes plugin expects all the master nodes according to the replicas definition to be up before it starts the plugin.

The reason for the above is that in Assisted Installer there is no dedicated bootstrap node.  Instead, initially there are 2 master nodes and a bootstrap.  When the installation of the 2 master nodes completes, the bootstrap becomes the third master.

 Here is the place in the code that checks that the number of available masters is the same as the replicas count:

https://github.com/openshift/cluster-network-operator/blob/384ea2c5001c72e8870b1ac722e314ff1df5c2d5/pkg/network/ovn_kubernetes.go#L250

Version-Release number of selected component (if applicable):

Actual results:

The network provider is not started

Expected results:

The expected behavior is that if there is at least a single master node, the network plugin should be started.

Comment 1 Alexander Constantinescu 2020-12-02 16:06:16 UTC
Setting this to not-blocker as it's not a regression.

Comment 2 Eran Cohen 2020-12-02 16:07:18 UTC
This is how cluster-authentication-operator is stating without 3 master nodes:
https://github.com/openshift/cluster-authentication-operator/blob/release-4.6/pkg/controllers/readiness/unsupported_override.go#L58

This is what assisted-instalelr is doing to allow etcd to start with just 2 master nodes:
https://github.com/openshift/assisted-installer/blob/master/src/k8s_client/k8s_client.go#L152

This is what etcd dose for allowing the assisted-installer to start today:
https://github.com/openshift/cluster-etcd-operator/blob/e157623a52bf255524a2a4c0628281aa150dd225/pkg/operator/bootstrapteardown/bootstrap_teardown_controller.go#L150

This is the new implementation for scaling etcd:
https://github.com/openshift/cluster-etcd-operator/pull/449/files

Comment 3 Rom Freiman 2020-12-02 20:28:28 UTC
The question is if it's possible to do something for 4.7 timeframe with a very limited scope (protected by a flag that assisted installer will set).
For 4.8 it should be addressed in a correct way.

Comment 5 Alexander Constantinescu 2021-01-28 12:07:30 UTC
@Ori Amizur: can you coordinate with QE and validate that the assisted install now works?

Comment 6 Anurag saxena 2021-02-08 16:43:10 UTC
As per @oamizur@redhat.com , he has verified that the fix works fine on 4.7. Ori, pleae feel free to update verification steps here if needed

Comment 9 errata-xmlrpc 2021-02-24 15:37:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.